Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 430042 - x11-plugins/purple-plugin_pack-2.7.0 should depend on dev-libs/json-glib
Summary: x11-plugins/purple-plugin_pack-2.7.0 should depend on dev-libs/json-glib
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: New packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo net-im Herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-08-05 15:33 UTC by Randall Wald
Modified: 2013-08-03 23:04 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Randall Wald 2012-08-05 15:33:19 UTC
Three of the new plugins in x11-plugins/purple-plugin_pack-2.7.0 (in particular, ning.so, okcupid.so, and omegle.so) depend on dev-libs/json-glib to function correctly, but the x11-plugins/purple-plugin_pack-2.7.0 ebuild itself does not depend on this. Thus, these three plugins fail to load correctly.
Comment 1 Jeroen Roovers gentoo-dev 2012-08-05 17:15:14 UTC
Don't do that.
Comment 2 Randall Wald 2012-08-07 03:36:54 UTC
Do you mean, "don't add Herd mailing lists to the CC field when creating new bugs"? I was just trying to help the Bug Wranglers by making sure the right people got notified more quickly, but I can stop doing that in the future.
Comment 3 Manuel Rüger (RETIRED) gentoo-dev 2013-08-03 23:04:24 UTC
Fixed, thanks!

*purple-plugin_pack-2.7.0-r1 (03 Aug 2013)

  03 Aug 2013; Manuel Rüger <mrueg@gentoo.org>
  +purple-plugin_pack-2.7.0-r1.ebuild, -purple-plugin_pack-2.5.1-r1.ebuild,
  -purple-plugin_pack-2.6.2-r1.ebuild, -purple-plugin_pack-2.6.3.ebuild:
  Migrate to python-any-r1, add missing dependency on json-glib. Fixes bug
  #430042. Cleanup old.